Subject: Re: [PATCH] pull: Allow pull to preserve merges when rebasing.

From: Stephen Haberman <[email-masked]>
Date: Sun, 11 Aug 2013 18:38:45 -0500

Hi Andres,

> i just realized that there are ambiguities:

> pull --rebase (true|false|preserve) foo # pull from remote named
> (true|false|preserve), branch foo

Yeah.

Right now, I did the latter. Around line 125, when parsing "--rebase
<somearg>", we accept <somearg> only if it's true, false, or preserve,
and shift it off. Otherwise we leave it alone and assume it's a remote
name.

Without this logic, t5520 fails because it uses "git pull --rebase .
copy", which, as you noted, is ambiguous, so "." was showing up as the
rebase argument.

So, this is technically handled right now, but I'm fine removing the
ambiguous "--rebase true|false|preserve" option if that is what is
preferred.

- Stephen